library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity nexys4_xadc_minimal_bench is
end nexys4_xadc_minimal_bench;

architecture Behavioral of nexys4_xadc_minimal_bench is

component nexys4_xadc_minimal is port(
	clk			: in std_logic;
	xadc_p		: in std_logic;
	xadc_n		: in std_logic;
	xadc_vauxp3 : in std_logic;
	xadc_vauxn3	: in std_logic;
	RsTx		: out std_logic);
end component;

signal clk_in: std_logic:='0';
constant clk_in_half_period: time := 5 ns;
signal RsTx_out: std_logic:='0';

begin

xadc0: nexys4_xadc_minimal port map(
	clk => clk_in,
	xadc_p	=> '0',
	xadc_n	=> '0',
	xadc_vauxp3	=> 'Z',
	xadc_vauxn3	=> 'Z',
	RsTx => RsTx_out);

clk_in <= not clk_in after clk_in_half_period;

end Behavioral;